%define __libtoolize /bin/true
%define _keep_libtool_files 1
%define _optlevel s

%define qtdir %_qt3dir
%define kdedir %prefix

%def_with gstreamer

Name: kaffeine
Version: 0.8.7
%define beta %nil
Release: alt3

Group: Video
Summary: A Xine-based Media Player for KDE
License: GPL
Url: http://kaffeine.sourceforge.net/

Requires: kdelibs >= %{get_version kdelibs}
Requires: lib%{name} = %version-%release
Requires: %name-engine >= %version-%release

Source: %name-%version%beta.tar.bz2
# ALT
Patch2: kaffeine-0.8.4-alt-ru.patch
Patch3: kaffeine-0.8.4-alt-without-xcb.patch
Patch4: kaffeine-0.8.7-alt-desktop.patch
Patch5: kaffeine-0.8.7-alt-i18n-ru-servicemenus.patch
Patch6: kaffeine-0.8.7-alt-dont-replace-percent.patch

# Automatically added by buildreq on Wed Aug 01 2007
#BuildRequires: doxygen gcc-c++ gcc-fortran graphviz imake kdepim-devel libcdparanoia-devel libjpeg-devel liblame-devel libxine-devel libXinerama-devel libXrender-devel libXt-devel libXtst-devel qt3-designer qt3-doc-html xml-utils xorg-cf-files
BuildRequires: doxygen gcc-c++ graphviz
BuildRequires: kdepim-devel
BuildRequires: libjpeg-devel libpng-devel
BuildRequires: libcdparanoia-devel liblame-devel libxine-devel
BuildRequires: xorg-x11-devel xml-utils desktop-file-utils pkg-config xml-utils
%if_with gstreamer
BuildRequires: gst-plugins-devel
%endif

%description
Kaffeine is a Xine-based Media Player for QT/KDE

%package -n lib%{name}
Group: System/Libraries
Summary: Base libraries for %name
Requires: kdelibs >= %{get_version kdelibs}
Conflicts: kaffeine < 0.8
%description -n lib%{name}
Base libraries for %name

%package -n lib%{name}-devel
Group: Development/KDE and QT
Summary: Headers and development files for lib%{name}
Requires: lib%{name} = %version-%release
%description -n lib%{name}-devel
Headers and development files for lib%{name}

%package engine-xine
Group: Video
Summary: Kaffeine Xine player part
Provides: %name-engine = %version-%release
Requires: lib%{name} = %version-%release
Conflicts: kaffeine <= 0.8.5-alt3
%description engine-xine
A Kaffeine engine based on xine.

%package engine-gstreamer
Group: Video
Summary: Kaffeine GStreamer player part
Provides: %name-engine = %version-%release
Requires: lib%{name} = %version-%release
Requires: gst-ffmpeg gst-plugins-alsa gst-plugins-base-audio-filters gst-plugins-base-video-filters
Requires: gst-plugins-good-audio-formats gst-plugins-good-container-formats gst-plugins-good-tags
Requires: gst-plugins-good-video-filters gst-plugins-lame gst-plugins-mad gst-plugins-ogg
Requires: gst-plugins-theora gst-plugins-vorbis gst-plugins-xvideo
%description engine-gstreamer
A Kaffeine engine based on GStreamer.

%prep
%setup -q -n %name-%version%beta
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

#make -f admin/Makefile.common cvs ||:
#./autogen.sh

%build
export QTDIR=%qtdir
export KDEDIR=%prefix
export PATH=%qtdir/bin:%kdedir/bin:$PATH
#export LD_LIBRARY_PATH=%qtdir/lib:%kdedir/%_lib:$LD_LIBRARY_PATH
#export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_Klibdir -L%_libdir"
%configure \
    --disable-final \
    --disable-rpath \
    --disable-static \
    --enable-shared \
    --disable-debug \
    --enable-new-ldflags \
    --program-transform-name="" \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    %{subst_with gstreamer} \
    --without-xcb \
    --with-xinerama
#    --enable-gcc-hidden-visibility \
#    --with-xinit-workaround \

%make_build

%install
%make install DESTDIR=%buildroot PACKAGE=%name

## fix desktopfile mimetype
#if [ -f %_datadir/mimetypes-devel/libxine -a -f %name/src/%name.desktop ]
#then
#    rm -f %buildroot/%_Kmenudir/%name.desktop ||:
#    MIME_IN=`head -n 1 %_datadir/mimetypes-devel/libxine`
#    [ -n "$MIME_IN" ] || MIME_IN="application/x-ogg;audio/basic;audio/vnd.rn-realaudio;audio/x-aiff;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-wma;audio/x-ogg;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;audio/x-scpls;audio/x-wav;audio/x-flac;video/x-matroska;audio/x-matroska;video/mpeg;video/msvideo;video/quicktime;video/vnd.rn-realvideo;video/x-avi;video/x-fli;video/x-flic;video/x-ms-asf;video/x-ms-wmv;video/x-msvideo;application/x-mplayer2;application/smil;application/x-kaffeine;audio/x-musepack;"
#    MIME_IN=`echo "$MIME_IN" | sed -e "s|;|\n|g"`
#    for m in $MIME_IN
#    do
#	[ -z  "$m" ] || MIME_TYPE+=" --add-mime-type $m"
#    done
#    desktop-file-install \
#	--vendor "" \
#	--remove-category Application \
#	--remove-key MimeType \
#	$MIME_TYPE \
#	--add-mime-type "application/x-kaffeine" \
#	--dir %buildroot/%_Kmenudir %name/src/%name.desktop
#else
#    echo "!!! Fix me please !!!"
#fi

%find_lang --with-man --with-kde %name


%post
%update_menus
%post_ldconfig
%postun
%clean_menus
%postun_ldconfig


%files -n lib%{name}
%_libdir/lib*%{name}*.so*

%files -n lib%{name}-devel
%_libdir/lib*%{name}*.la
%_libdir/kde3/libxinepart.la
%_libdir/kde3/lib*%{name}*.la
%_includedir/%{name}*

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO kaffeine/README.* kaffeine/CREDITS kaffeine/BUGS
#%_man1dir/*
#
%_bindir/%name
%_libdir/kde3/lib*%{name}*.so*
#
%_Kmenudir/%name.desktop
%_datadir/mimelnk/application/*%{name}*.desktop
%_datadir/services/*%{name}*.desktop
%_datadir/servicetypes/*%{name}*.desktop
#
%_datadir/apps/%name
%exclude %_datadir/apps/%name/xine_part.rc
%_datadir/apps/profiles/*
%_datadir/apps/konqueror/servicemenus/*.desktop
#
%_iconsdir/hicolor/*/apps/*.png
%_iconsdir/*/*/actions/*.png
%_iconsdir/*/*/mimetypes/*%{name}*.png

%files engine-xine
%_libdir/kde3/libxinepart.so*
%_datadir/apps/%name/xine_part.rc
%_datadir/services/xine_part.desktop

%if_with gstreamer
%files engine-gstreamer
%_libdir/kde3/libgstreamerpart.so*
%_datadir/apps/gstreamerpart
%_datadir/services/gstreamer_part.desktop
%endif

%changelog
* Wed Nov 12 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8.7-alt3
- fix to play URLs with non-latin path

* Wed Oct 01 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8.7-alt2
- translate service menus to russian

* Wed Aug 06 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8.7-alt1
- new version

* Tue Jan 22 2008 Sergey V Turchin <zerg at altlinux dot org> 0.8.6-alt1
- new version
- fix gstreamer requires; thanks shrek@alt

* Fri Sep 28 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.5-alt4
- built with gstreamer; thanks shrek@alt

* Wed Aug 29 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.5-alt3
- fix desktop categories

* Tue Aug 28 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.5-alt2
- add upstream fix against CD encoding crash

* Wed Aug 01 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.5-alt1
- new version
- built with libxine-devel mimetype list support

* Wed May 23 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.4-alt4
- force build without xcb

* Tue May 15 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.4-alt3
- rebuilt for xcb support

* Fri May 04 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.4-alt2
- small i18n-ru fix

* Mon Apr 16 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.4-alt1
- new version

* Fri Jan 12 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.3-alt1
- new version

* Mon Sep 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.2-alt1
- new version
- built without xinit workaround

* Fri Jul 14 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.2-alt0.1.beta1
- 0.8.2-beta1

* Tue Jul 11 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt2
- rebuilt

* Wed Apr 19 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt1
- new version

* Mon Mar 27 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt1
- new version

* Tue Jan 31 2006 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt1
- fix compile with new binutils

* Thu Sep 08 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt0.1
- new version

* Wed Aug 24 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt0.1
- new version

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.3b-alt3.1
- Rebuilt with libstdc++.so.6.

* Sat Jun 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3b-alt3
- remove kaffeineplugin.so requires from package

* Fri May 28 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3b-alt2
- fixed kaffeineplugin.so file bug

* Fri May 14 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3b-alt1
- moved mozilla-plugin in CVS module kaffeine-mozilla
- removed superkaramba example
- font encoding fix (xine-lib uses now utf8 by default)
- fixed broken icons for KDE 3.2

* Tue May 11 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3-alt2
- rebuild with gcc-3.3

* Tue May 4 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.3-alt1
- 0.4.3
- finally fixed the crash after closing with xfree 4.4/X.org 6.7
- kaffeine uses now the tvtime plugin for deinterlacing
- fixed compiler errors with gcc 3.3.3
- playlist window shortcuts are now also configurable

* Thu Mar 25 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.2-alt1
- 0.4.2
- control panel layout improved (fixed jerking time button)
- playlist track info dialog improved + click on info icon opens it
- playlist status bar shows total entries + total play time
- fixed conflicts with installation files of KDE 3.2

* Sun Jan 18 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.4.1-alt1
- 0.4.1
- new command line switch --verbose to output xine debug messages
- support for xine messages added (popup)
- support for mouse wheel added
- support for network broadcasting

* Sat Dec 13 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt3
- cleanup spec file

* Fri Nov 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt2
- improve .spec by Sergey V Turchin
- fix requires
- fix menu to be with mimetypes
- add patch to don't ask about link mozilla plugin

* Mon Nov 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt1
- 0.4 release
- add cmd line option --enqueue to append files to current playlist
- handbook updated
- bookmark-entrys may now be playlists
- new titles (maybe from internet broadcast) now OS displayed
- add equalizer

* Sun Oct 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt0.1.beta1
- 0.4beta1
- plays now local *.wma files
- add a right-click context menu for minimal- and fullscreen-mode
- add a minimal mode (hides control-panel and menu)
- add small context menu for playlist entries
- resolved startup problems
- bugs fixed

* Sun Jun 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3.2-alt1
- First version of RPM package.

